panthema / 2007 / stx-btree / stx-btree-0.7 / testsuite / Makefile.in (Download File)
# Makefile.in generated by automake 1.10 from Makefile.am.
# @[email protected]

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@[email protected]

# B+ Tree Test Cases
# $Id: Makefile.am 18 2007-03-07 10:19:41Z tb $

VPATH = @[email protected]
pkgdatadir = $(datadir)/@[email protected]
pkglibdir = $(libdir)/@[email protected]
pkgincludedir = $(includedir)/@[email protected]
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
noinst_PROGRAMS = testsuite$(EXEEXT)
TESTS = testsuite$(EXEEXT)
subdir = testsuite
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_CLEAN_FILES =
PROGRAMS = $(noinst_PROGRAMS)
am__testsuite_SOURCES_DIST = TestTrue.cc TestRunner.cc \
	InstantiationTest.cc SimpleTest.cc LargeTest.cc BoundTest.cc \
	IteratorTest.cc StructureTest.cc DumpRestoreTest.cc \
	RelationTest.cc
@[email protected]am_testsuite_OBJECTS = TestTrue.$(OBJEXT)
@[email protected]am_testsuite_OBJECTS = TestRunner.$(OBJEXT) \
@[email protected]	InstantiationTest.$(OBJEXT) \
@[email protected]	SimpleTest.$(OBJEXT) LargeTest.$(OBJEXT) \
@[email protected]	BoundTest.$(OBJEXT) IteratorTest.$(OBJEXT) \
@[email protected]	StructureTest.$(OBJEXT) \
@[email protected]	DumpRestoreTest.$(OBJEXT) \
@[email protected]	RelationTest.$(OBJEXT)
testsuite_OBJECTS = $(am_testsuite_OBJECTS)
testsuite_LDADD = $(LDADD)
testsuite_DEPENDENCIES =
DEFAULT_INCLUDES = -I.@[email protected]
depcomp = $(SHELL) $(top_srcdir)/scripts/depcomp
am__depfiles_maybe = depfiles
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
	-o [email protected]
SOURCES = $(testsuite_SOURCES)
DIST_SOURCES = $(am__testsuite_SOURCES_DIST)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = @[email protected]
AMTAR = @[email protected]
AUTOCONF = @[email protected]
AUTOHEADER = @[email protected]
AUTOMAKE = @[email protected]
AWK = @[email protected]
CC = @[email protected]
CCDEPMODE = @[email protected]
CFLAGS = @[email protected]
CPPFLAGS = @[email protected]
CPPUNIT_CFLAGS = @[email protected]
CPPUNIT_CONFIG = @[email protected]
CPPUNIT_LIBS = @[email protected]
CXX = @[email protected]
CXXCPP = @[email protected]
CXXDEPMODE = @[email protected]
CXXFLAGS = @[email protected]
CYGPATH_W = @[email protected]
DEFS = @[email protected]
DEPDIR = @[email protected]
ECHO_C = @[email protected]
ECHO_N = @[email protected]
ECHO_T = @[email protected]
EGREP = @[email protected]
EXEEXT = @[email protected]
GREP = @[email protected]
INSTALL = @[email protected]
INSTALL_DATA = @[email protected]
INSTALL_PROGRAM = @[email protected]
INSTALL_SCRIPT = @[email protected]
INSTALL_STRIP_PROGRAM = @[email protected]
LDFLAGS = @[email protected]
LIBOBJS = @[email protected]
LIBS = @[email protected]
LTLIBOBJS = @[email protected]
MAINT = @[email protected]
MAKEINFO = @[email protected]
MKDIR_P = @[email protected]
OBJEXT = @[email protected]
PACKAGE = @[email protected]
PACKAGE_BUGREPORT = @[email protected]
PACKAGE_NAME = @[email protected]
PACKAGE_STRING = @[email protected]
PACKAGE_TARNAME = @[email protected]
PACKAGE_VERSION = @[email protected]
PATH_SEPARATOR = @[email protected]
SET_MAKE = @[email protected]
SHELL = @[email protected]
STRIP = @[email protected]
VERSION = @[email protected]
abs_builddir = @[email protected]
abs_srcdir = @[email protected]
abs_top_builddir = @[email protected]
abs_top_srcdir = @[email protected]
ac_ct_CC = @[email protected]
ac_ct_CXX = @[email protected]
am__include = @[email protected]
am__leading_dot = @[email protected]
am__quote = @[email protected]
am__tar = @[email protected]
am__untar = @[email protected]
bindir = @[email protected]
build_alias = @[email protected]
builddir = @[email protected]
datadir = @[email protected]
datarootdir = @[email protected]
docdir = @[email protected]
dvidir = @[email protected]
exec_prefix = @[email protected]
host_alias = @[email protected]
htmldir = @[email protected]
includedir = @[email protected]
infodir = @[email protected]
install_sh = @[email protected]
libdir = @[email protected]
libexecdir = @[email protected]
localedir = @[email protected]
localstatedir = @[email protected]
mandir = @[email protected]
mkdir_p = @[email protected]
oldincludedir = @[email protected]
pdfdir = @[email protected]
prefix = @[email protected]
program_transform_name = @[email protected]
psdir = @[email protected]
sbindir = @[email protected]
sharedstatedir = @[email protected]
srcdir = @[email protected]
sysconfdir = @[email protected]
target_alias = @[email protected]
top_builddir = @[email protected]
top_srcdir = @[email protected]
@[email protected]testsuite_SOURCES = TestTrue.cc
@[email protected]testsuite_SOURCES = TestRunner.cc \
@[email protected]	InstantiationTest.cc SimpleTest.cc \
@[email protected]	LargeTest.cc BoundTest.cc IteratorTest.cc \
@[email protected]	StructureTest.cc DumpRestoreTest.cc \
@[email protected]	RelationTest.cc
AM_CXXFLAGS = -W -Wall -Wold-style-cast -Wshadow -DBTREE_DEBUG -I$(top_srcdir)/include @[email protected]
LDADD = @[email protected]
all: all-am

.SUFFIXES:
.SUFFIXES: .cc .o .obj
$(srcdir)/Makefile.in: @[email protected] $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  testsuite/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  testsuite/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/[email protected] $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/[email protected] $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: @[email protected] $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): @[email protected] $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

clean-noinstPROGRAMS:
	-test -z "$(noinst_PROGRAMS)" || rm -f $(noinst_PROGRAMS)
testsuite$(EXEEXT): $(testsuite_OBJECTS) $(testsuite_DEPENDENCIES) 
	@rm -f testsuite$(EXEEXT)
	$(CXXLINK) $(testsuite_OBJECTS) $(testsuite_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

@[email protected]@[email protected] @[email protected]/$(DEPDIR)/[email protected][email protected]
@[email protected]@[email protected] @[email protected]/$(DEPDIR)/[email protected][email protected]
@[email protected]@[email protected] @[email protected]/$(DEPDIR)/[email protected][email protected]
@[email protected]@[email protected] @[email protected]/$(DEPDIR)/[email protected][email protected]
@[email protected]@[email protected] @[email protected]/$(DEPDIR)/[email protected][email protected]
@[email protected]@[email protected] @[email protected]/$(DEPDIR)/[email protected][email protected]
@[email protected]@[email protected] @[email protected]/$(DEPDIR)/[email protected][email protected]
@[email protected]@[email protected] @[email protected]/$(DEPDIR)/[email protected][email protected]
@[email protected]@[email protected] @[email protected]/$(DEPDIR)/[email protected][email protected]
@[email protected]@[email protected] @[email protected]/$(DEPDIR)/[email protected][email protected]

.cc.o:
@[email protected]	$(CXXCOMPILE) -MT [email protected] -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o [email protected] $<
@[email protected]	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
@[email protected]@[email protected]	source='$<' object='[email protected]' libtool=no @[email protected]
@[email protected]@[email protected]	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @[email protected]
@[email protected]	$(CXXCOMPILE) -c -o [email protected] $<

.cc.obj:
@[email protected]	$(CXXCOMPILE) -MT [email protected] -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o [email protected] `$(CYGPATH_W) '$<'`
@[email protected]	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
@[email protected]@[email protected]	source='$<' object='[email protected]' libtool=no @[email protected]
@[email protected]@[email protected]	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @[email protected]
@[email protected]	$(CXXCOMPILE) -c -o [email protected] `$(CYGPATH_W) '$<'`

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	    $$tags $$unique; \
	fi
ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

check-TESTS: $(TESTS)
	@failed=0; all=0; xfail=0; xpass=0; skip=0; ws='[	 ]'; \
	srcdir=$(srcdir); export srcdir; \
	list=' $(TESTS) '; \
	if test -n "$$list"; then \
	  for tst in $$list; do \
	    if test -f ./$$tst; then dir=./; \
	    elif test -f $$tst; then dir=; \
	    else dir="$(srcdir)/"; fi; \
	    if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
	      all=`expr $$all + 1`; \
	      case " $(XFAIL_TESTS) " in \
	      *$$ws$$tst$$ws*) \
		xpass=`expr $$xpass + 1`; \
		failed=`expr $$failed + 1`; \
		echo "XPASS: $$tst"; \
	      ;; \
	      *) \
		echo "PASS: $$tst"; \
	      ;; \
	      esac; \
	    elif test $$? -ne 77; then \
	      all=`expr $$all + 1`; \
	      case " $(XFAIL_TESTS) " in \
	      *$$ws$$tst$$ws*) \
		xfail=`expr $$xfail + 1`; \
		echo "XFAIL: $$tst"; \
	      ;; \
	      *) \
		failed=`expr $$failed + 1`; \
		echo "FAIL: $$tst"; \
	      ;; \
	      esac; \
	    else \
	      skip=`expr $$skip + 1`; \
	      echo "SKIP: $$tst"; \
	    fi; \
	  done; \
	  if test "$$failed" -eq 0; then \
	    if test "$$xfail" -eq 0; then \
	      banner="All $$all tests passed"; \
	    else \
	      banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
	    fi; \
	  else \
	    if test "$$xpass" -eq 0; then \
	      banner="$$failed of $$all tests failed"; \
	    else \
	      banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
	    fi; \
	  fi; \
	  dashes="$$banner"; \
	  skipped=""; \
	  if test "$$skip" -ne 0; then \
	    skipped="($$skip tests were not run)"; \
	    test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
	      dashes="$$skipped"; \
	  fi; \
	  report=""; \
	  if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
	    report="Please report to $(PACKAGE_BUGREPORT)"; \
	    test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
	      dashes="$$report"; \
	  fi; \
	  dashes=`echo "$$dashes" | sed s/./=/g`; \
	  echo "$$dashes"; \
	  echo "$$banner"; \
	  test -z "$$skipped" || echo "$$skipped"; \
	  test -z "$$report" || echo "$$report"; \
	  echo "$$dashes"; \
	  test "$$failed" -eq 0; \
	else :; fi

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
check: check-am
all-am: Makefile $(PROGRAMS)
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-noinstPROGRAMS mostlyclean-am

distclean: distclean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-tags

dvi: dvi-am

dvi-am:

html: html-am

info: info-am

info-am:

install-data-am:

install-dvi: install-dvi-am

install-exec-am:

install-html: install-html-am

install-info: install-info-am

install-man:

install-pdf: install-pdf-am

install-ps: install-ps-am

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am:

.MAKE: install-am install-strip

.PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
	clean-generic clean-noinstPROGRAMS ctags distclean \
	distclean-compile distclean-generic distclean-tags distdir dvi \
	dvi-am html html-am info info-am install install-am \
	install-data install-data-am install-dvi install-dvi-am \
	install-exec install-exec-am install-html install-html-am \
	install-info install-info-am install-man install-pdf \
	install-pdf-am install-ps install-ps-am install-strip \
	installcheck installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-compile \
	mostlyclean-generic pdf pdf-am ps ps-am tags uninstall \
	uninstall-am

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT: